Bug 1572973 - [sat64] Free IPv4 not assigned automatically while creating host with hostgroup with specified `deploy on` option
Summary: [sat64] Free IPv4 not assigned automatically while creating host with hostgro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: Ivan Necas
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 11:21 UTC by Nikhil Kathole
Modified: 2019-11-05 23:17 UTC (History)
6 users (show)

Fixed In Version: foreman-1.18.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:30:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (82.25 KB, image/png)
2018-04-29 11:21 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 24072 0 None None None 2018-06-26 08:30:18 UTC

Description Nikhil Kathole 2018-04-29 11:21:18 UTC
Created attachment 1428388 [details]
screenshot of UI

Description of problem: While we were trying to create a host on libvirt compute resource, each time have to click on "suggest new" to fetch free IP. While in case of sat 6.3, free IP get assigned once subnet selected.


Version-Release number of selected component (if applicable): 

# rpm -q satellite
satellite-6.4.0-3.beta.el7sat.noarch


How reproducible: always


Steps to Reproduce:
1. Create hostgroup with required parameters
2. Try to create host on libvirt compute resource
3. Go to interfaces tab
3. Edit interface

Actual results: IPv4 Address field will be blank though subnet is populated. (see attachment)


Expected results: Free IP should be automatically populate. (No need to click on suggest new)


Additional info:

Comment 2 Ivan Necas 2018-04-30 10:47:38 UTC
Does the empty IP address actually prevent from provisioning or is the IP generated later?

Comment 3 Nikhil Kathole 2018-04-30 11:01:47 UTC
No this will not prevent from provisioning and the IP get generated later.

Comment 4 Corey Welton 2018-05-01 12:50:20 UTC
Is this a regression?

Comment 5 Nikhil Kathole 2018-05-01 14:00:35 UTC
Yes, this is regression...missed to add keyword!

Comment 16 Ivan Necas 2018-06-26 08:03:15 UTC
I was able to reproduce the issue now: it happens only when `Deploy on` field is specified in the hostgroup, updated the subject of the BZ to narrow down the scope.

Comment 17 Ivan Necas 2018-06-26 08:30:16 UTC
Created redmine issue https://projects.theforeman.org/issues/24072 from this bug

Comment 19 pm-sat@redhat.com 2018-06-26 16:21:44 UTC
Upstream bug assigned to inecas@redhat.com

Comment 20 pm-sat@redhat.com 2018-06-26 16:21:47 UTC
Upstream bug assigned to inecas@redhat.com

Comment 21 pm-sat@redhat.com 2018-07-03 08:23:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24072 has been resolved.

Comment 22 Sanket Jagtap 2018-07-12 16:24:40 UTC
QE Notes:

When testing this BZ, also consider VM tab form which throws a error, when there is a compute resource in hostgroup and we use the hostgroup to create a host.

"'penny-broadway' not found on 'rhv11 (RHV)' 'penny-broadway' could be deleted or 'rhv11 (RHV)' is not responding."

Comment 23 Nikhil Kathole 2018-07-23 09:53:11 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 13

Free IP get automatically populated and no need to click on suggest new.
Also as per comment #22 I could not see the error on VM tab.

Comment 24 Bryan Kearney 2018-10-16 19:30:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.